ChangeSet 1.1455.2.7, 2003/07/14 16:07:51-07:00, greg@kroah.com

[PATCH] USB: fixed up pci slot_name accesses in usb code


 drivers/usb/core/hcd-pci.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/core/hcd-pci.c b/drivers/usb/core/hcd-pci.c
--- a/drivers/usb/core/hcd-pci.c	Thu Jul 17 17:05:34 2003
+++ b/drivers/usb/core/hcd-pci.c	Thu Jul 17 17:05:34 2003
@@ -81,7 +81,7 @@
 	
         if (!dev->irq) {
         	err ("Found HC with no IRQ.  Check BIOS/PCI %s setup!",
-			dev->slot_name);
+			pci_name(dev));
    	        return -ENODEV;
         }
 	
@@ -99,7 +99,7 @@
 			retval = -EFAULT;
 clean_1:
 			release_mem_region (resource, len);
-			err ("init %s fail, %d", dev->slot_name, retval);
+			err ("init %s fail, %d", pci_name(dev), retval);
 			return retval;
 		}
 
@@ -136,7 +136,7 @@
 			goto clean_1;
 		} else {
 			release_region (resource, len);
-			err ("init %s fail, %d", dev->slot_name, retval);
+			err ("init %s fail, %d", pci_name(dev), retval);
 			return retval;
 		}
 	}
@@ -144,7 +144,7 @@
 	hcd->driver = driver;
 	hcd->description = driver->description;
 	hcd->pdev = dev;
-	hcd->self.bus_name = dev->slot_name;
+	hcd->self.bus_name = pci_name(dev);
 	hcd->product_desc = dev->dev.name;
 	hcd->self.controller = &dev->dev;
 	hcd->controller = hcd->self.controller;
